{% extends 'adminbase.html.twig' %}

{% block title %}User index{% endblock %}

{% block body %}
    <h1>User index</h1>

       <div class="createnew">
        <a href="{{ path('admin_user_new') }}">Create new</a>
       </div>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Email</th>
                <th>Roles</th>
                <th>Password</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td>{{ user.id }}</td>
                <td>{{ user.email }}</td>
                <td>{{ user.roles ? user.roles|json_encode : '' }}</td>
                <td>{{ user.password }}</td>
                <td>
                    <a href="{{ path('admin_user_show', {'id': user.id}) }}">Show</a>
                    <a href="{{ path('admin_user_edit', {'id': user.id}) }}">Edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}
